{
  npins ? import ./npins,
  nixpkgs ? npins.nixpkgs,
  pkgs ? import nixpkgs { },
  lib ? pkgs.lib,
  mkShell ? pkgs.mkShell,
  sqlite ? pkgs.sqlite,
  openssl ? pkgs.openssl,
  rust-analyzer ? pkgs.rust-analyzer,
  rustc ? pkgs.rustc,
  cargo ? pkgs.cargo,
  pkg-config ? pkgs.pkg-config,
  crate2nix ? pkgs.crate2nix,
  protobuf ? pkgs.protobuf,
  datasette ? pkgs.datasette,
  ...
}:
mkShell {
  name = "sidx-shell";
  nativeBuildInputs = [
    (lib.getBin sqlite)
    cargo
    crate2nix
    rustc
    rust-analyzer
    pkg-config
    protobuf
    datasette
  ];
  buildInputs = [
    openssl
    sqlite
  ];
}
