SELECT
    s.id AS sample_id,
    b.blake3,
    s.epoch
FROM
    sidx_uri_sample AS s,
    sidx_uri AS u,
    sidx_blake3 AS b
ON
    s.uri_id = u.id
    AND s.blake3_id = b.id
WHERE
    u.uri = ?
ORDER BY
    s.epoch DESC
LIMIT 1;
